Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060973 - Deselecting the project version from a group add request results a non-error notification
Summary: Deselecting the project version from a group add request results a non-error ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.3
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 03:58 UTC by Damian Jansen
Modified: 2014-03-20 05:47 UTC (History)
2 users (show)

Fixed In Version: 3.3.0-SNAPSHOT (20140212-1531)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:26 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-02-04 03:58:50 UTC
Description of problem:
If the user accidentally deselects the project-version from the list in a request to join group action, the resul is a mere notification on the project languages list

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as a project maintainer
2. Go to a project version, click the Request to add project to group
3. Select any group
4. Deselect the item in the list at the top of the page
5. Press Send Message

Actual results:
Goes back to the project version page, with "No project version selected." at the top

Expected results:
Should be on the same request page, with an appropriate error.

Additional info:

Comment 1 Alex Eng 2014-02-11 05:46:39 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/369

Comment 2 Damian Jansen 2014-02-12 05:45:41 UTC
Verified at 29de4991b655f8742b35b78d2508da6d8119f41d

Comment 3 Sean Flanigan 2014-03-20 05:47:26 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.